XFcObjectDataPriorityHelp class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcObjectDataPriorityHelp Class Reference

XFcObjectDataPriorityHelp handles priority of XFcObjectDataFrame, it's helpper class. More...

Inheritance diagram for XFcObjectDataPriorityHelp:

[legend]
Collaboration diagram for XFcObjectDataPriorityHelp:

[legend]
List of all members.

## Public Member Functions

| XFcObjectDataPriorityHelp ()
| Constructor.
virtual | ~XFcObjectDataPriorityHelp ()
| Virtual destructor.
void | increase (void *aData)
| Increases priority.
void | decrease (void *aData)
| Decreases priority.
INT32 | priorityCheck (const void *aData1, const void *aData2) const
| Tests priority.

## Detailed Description

XFcObjectDataPriorityHelp handles priority of XFcObjectDataFrame, it's helpper class.

## Constructor & Destructor Documentation

XFcObjectDataPriorityHelp::XFcObjectDataPriorityHelp | ( |  | ) |

| Constructor.

virtual XFcObjectDataPriorityHelp::~XFcObjectDataPriorityHelp | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

void XFcObjectDataPriorityHelp::decrease | ( | void * | aData | ) | `[virtual]`

Decreases priority.

Parameters:

  aData | object data frame (XFcObjectDataFrame).

Implements XFcPriorityHelp.

void XFcObjectDataPriorityHelp::increase | ( | void * | aData | ) | `[virtual]`

Increases priority.

Parameters:

  aData | object data frame (XFcObjectDataFrame).

Implements XFcPriorityHelp.

INT32 XFcObjectDataPriorityHelp::priorityCheck | ( | const void * | aData1,
|  | const void * | aData2
| ) | const`[virtual]`

Tests priority.

Parameters:

  aData1 | first object data frame (XFcObjectDataFrame).
  aData2 | second object data frame (XFcObjectDataFrame).

Returns:
  0 if priorities are the same, -1 if first params priority value is higher, and 1 otherwise.

Implements XFcPriorityHelp.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch